.timestamp_prevent_wrapper{
    height: 100vh;
    width: 100vw;
/*    background-color: rgba(243, 248, 237, 0.5);*/
    position: fixed;
    z-index: 999;
    top: 0;
    display: none;
}

.timestamp_prevent_wrapper .timestamp_prevent_innerwrapper{
    height: 100%;
    width: 100%;
    background-color: rgba(243, 248, 237, 0.5);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    align-content: space-around;
}

.timestamp_progressbar_wrapper{
    background-color: rgba(255,255,255,1);
    padding: 20px 20px 20px 20px;
    border: 1px solid #3d7493;
}

.timestamp_inspectionjob_wrapper {

    background-color: aqua;
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: row;

}

.timestamp_inspectionjob_datasectioncontrol{
    background-color: rgb(243, 248, 237);
    border-right: 2px solid #3d7493;
    width: 280px;
    overflow: auto;
    
}

.timestamp_inspectionjob_datasectioncontrol .timestamp_inspectionjob_datasectioncontrol_view{
    
    padding: 10px;
    background-color: #ddeaee;
    border-bottom: 1px solid #c5c5c5;
    color: #454545;
    display: flex;
    flex-wrap: nowrap;
    justify-content: flex-start;
    align-items: center;
    align-content: space-around;
    
    
}

.timestamp_inspectionjob_datasectioncontrol .timestamp_inspectionjob_datasectioncontrol_view.deactivated{
    background-color: #e8e8e8;
    color: #797979;
    cursor: default;
}    

.timestamp_inspectionjob_datasectioncontrol .timestamp_inspectionjob_datasectioncontrol_view.active{
    border: 1px solid #3d7493;
    background: #3d7493;
    color: white;
}    

.timestamp_inspectionjob_datasectioncontrol .timestamp_inspectionjob_datasectioncontrol_view:hover{
    
    cursor: pointer;
    background-color: #b4d2db;    
    
}

.timestamp_inspectionjob_datasectioncontrol .timestamp_inspectionjob_datasectioncontrol_view.deactivated:hover{
    background-color: #e8e8e8;
    cursor: default;
}

.timestamp_inspectionjob_datasectioncontrol_view.timestamp_inspectionjob_datasectioncontrol_view_result .timestamp_datasectioncontrol_view_result_featurenumber{
    margin-left: 4px;
}

.timestamp_inspectionjob_view_conf_section_wrapper div{
    margin-right: 20px;
}

.timestamp_inspectionjob_view_conf_section_wrapper div label{
    margin-right: 10px;
}

.timestamp_inspectionjob_view_conf_section_wrapper div label.disabled{
    color: darkgrey;
}

.timestamp_inspectionjob_view_wrapper{
    height: 100%;
}

.timestamp_inspectionjob_view_wrapper .timestamp_inspectionjob_view_result_wrapper{
    height: calc(100% - 40px);
}

.timestamp_inspectionjob_datasection{
    background-color: whitesmoke;
    width: calc(100% - 280px);
    height: 100%;
    position: relative;
    overflow-y: auto;
    overflow-x: hidden;
}

fieldset{
    margin: 20px;
    padding: 20px 20px 20px 20px;
}

.timestamp_inspectionjob_view_conf_section_wrapper{
    display: flex;
    flex-direction: row;
}

.timestamp_inspectionjob_view_conf_section_wrapper.timestamp_inspectionjob_view_conf_section_meta02 > div{
    display: flex;
    flex-direction: row;
    width: 100%;
}

.timestamp_inspectionjob_view_conf_section_wrapper .ts_infoparagraph{
    margin: 0px 0px 0px 0px;    
}

.timestamp_inspectionjob_view_conf_section_wrapper .ts_infoparagraph:before{
    font-style: normal;
    color: #3d7493;
}

.timestamp_inspectionjob_view_conf_section_wrapper .ts_infoparagraph span{
    margin: 0px 0px 0px 4px;
    font-style: italic;
    font-family: Calibri, Helvetica, sans-serif;
    font-weight: normal;
    color: #3d7493;
}


.timestamp_inspectionjob_view_conf_section_wrapper.timestamp_inspectionjob_view_conf_section_meta02 > div > textarea{
    width: 50%;
    height: 200px;
}    

.timestamp_inspectionjob_view_conf_section_wrapper.timestamp_inspectionjob_view_conf_section_buttons{
    display: flex;
    flex-direction: row;
    justify-content: flex-end; 
    padding-right: 20px;
    padding-left: 20px;
    margin-bottom: 10px;
}    

.timestamp_vertical_checkboxlist{
    display: flex;
    flex-direction: column;
}

.timestamp_fileimportprogress {
  width: 100%;
  position: relative;
  display: block;  
  padding-left: 10%;
/*  background-color: #ddd;*/
}

.timestamp_fileimportprogressbar {
  width: 10%;
  height: 30px;
  background-color: #4CAF50;
  text-align: center; /* To center it horizontally (if you want) */
  line-height: 30px; /* To center it vertically */
  color: white;
}

.timestamp_loader_ellipsis.enabled {
  display: block;
  position: relative;
/*  width: 80px;
  height: 80px;*/
}
.timestamp_loader_ellipsis.enabled div {
  position: absolute;
  top: -5px;
  width: 9px;
  height: 9px;
  border-radius: 50%;
/*  background: #fff;*/
  background: #618a1f;
  border: 3px solid #3d7493;
  animation-timing-function: cubic-bezier(0, 1, 1, 0);
  background-image: linear-gradient(to bottom, #92d02f 0%, #618a1f 100%);
}
.timestamp_loader_ellipsis.enabled div:nth-child(1) {
  opacity: 0.8;
  left: 8px;
  animation: lds-ellipsis1 0.6s infinite;
}
.timestamp_loader_ellipsis.enabled div:nth-child(2) {
  left: 8px;
  animation: lds-ellipsis2 0.6s infinite;
}
.timestamp_loader_ellipsis.enabled div:nth-child(3) {
  left: 32px;
  animation: lds-ellipsis2 0.6s infinite;
}
.timestamp_loader_ellipsis.enabled div:nth-child(4) {
  opacity: 0.8;  
  left: 56px;
  animation: lds-ellipsis3 0.6s infinite;
}
@keyframes lds-ellipsis1 {
  0% {
    transform: scale(0);
  }
  100% {
    transform: scale(1);
  }
}
@keyframes lds-ellipsis3 {
  0% {
    transform: scale(1);
  }
  100% {
    transform: scale(0);
  }
}
@keyframes lds-ellipsis2 {
  0% {
    transform: translate(0, 0);
  }
  100% {
    transform: translate(24px, 0);
  }
}


/*.timestamp_inspectionjob_view_conf_section_wrapper.timestamp_inspectionjob_view_conf_section_meta01{
    flex-direction: row;
}*/

.timestamp_inspectionjobresult_globaldatasectioncontrol{    
    display: flex;
    flex-wrap: nowrap;
    justify-content: space-around;
    align-items: center;
    align-content: space-around;
    position: absolute;
    bottom: 0px;
    height: 40px;
    max-height: 40px;
    margin: 0px 20px 20px 20px;
/*    width: calc(100% - 20px - 20px);*/
    width: 100%;
    margin: 0px;
    background-color: #b4d2db;    
    border-left: 1px solid #6c87385c;
    border-right: 1px solid #6c87385c;    
    border-bottom: 1px solid #6c87385c;  
    
}

.timestamp_inspectionjob_view_result_wrapper table{
    /*height: calc(100vh - 80px - 54px - 4px - 40px - 2px);*/
    height: 100%;
    
}

.timestamp_inspectionjob_view_result_wrapper table tbody{    
    height: 100%;
    
}

/*
.timestamp_inspectionjob_view_result_wrapper table tbody td div.timestamp_open_featureview,
.timestamp_inspectionjob_view_result_wrapper table tbody td div.timestamp_expandrow_inspectionjob,
.timestamp_inspectionjob_view_result_wrapper table tbody td div.timestamp_zoomtomap_inspectionjob{
    
    display: flex;
    flex-wrap: nowrap;
    justify-content: space-around;
    align-items: center;
    align-content: space-around;
    
    min-width: 24px;
    min-height: 24px;
    max-width: 24px;
    max-height: 24px;
    border: 1px solid #6c8738;
    margin: 0px 2px 0px 2px;
    color: #6c8738;
    background-color: #f5ffda;    
    
}
*/
/*
.timestamp_inspectionjob_view_result_wrapper table tbody td div.timestamp_open_featureview:hover,
.timestamp_inspectionjob_view_result_wrapper table tbody td div.timestamp_expandrow_inspectionjob:hover,
.timestamp_inspectionjob_view_result_wrapper table tbody td div.timestamp_zoomtomap_inspectionjob:hover{
    cursor: pointer;  
    color: #f5ffda;
    background-color: #6c8738; 
}
*/
div.fas.fa-calendar-alt{
    color: #3d7493;
}

.timestamp_inspectionjob_datasectioncontrol_view.timestamp_inspectionjob_datasectioncontrol_view_featuredetail{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;    
}

.timestamp_inspectionjob_datasectioncontrol_view.timestamp_inspectionjob_datasectioncontrol_view_featuredetail .timestamp_featuredetailview_close{
  padding-left: 4px;
  margin-bottom: 12px;
  font-size: 14px;  
}    